*{
  box-sizing:border-box;
  margin:0;
  padding:0;
  font-family:Segoe UI, sans-serif;
}

body{
  background:#edf2f7;
  padding:30px;
}

.layout{
  display:grid;
  grid-template-columns:320px 1fr;
  gap:25px;
}

.sidebar{
  background:white;
  padding:25px;
  border-radius:18px;
  box-shadow:0 10px 30px rgba(0,0,0,0.08);
}

.sidebar h1{
  margin-bottom:20px;
  font-size:24px;
}

.sidebar label{
  display:block;
  margin-top:15px;
  margin-bottom:8px;
  font-weight:600;
}

.sidebar input{
  width:100%;
  padding:12px;
  border-radius:10px;
  border:1px solid #ccc;
}

.sidebar button{
  width:100%;
  margin-top:15px;
  padding:14px;
  border:none;
  border-radius:12px;
  background:#111827;
  color:white;
  cursor:pointer;
  font-weight:600;
}

.tarjeta{
  background:#9fe0f0;
  border-radius:20px;
  padding:40px;
  box-shadow:0 10px 30px rgba(0,0,0,0.08);
}

.empresa{
  text-align:center;
  margin-bottom:20px;
  font-size:14px;
}

h2{
  text-align:center;
  margin-bottom:10px;
}

.subtitulo{
  text-align:center;
  margin-bottom:30px;
}

.empleado{
  text-align:center;
  font-size:26px;
  font-weight:700;
  margin-bottom:15px;
}

.periodo{
  margin-bottom:25px;
  text-align:center;
}

table{
  width:100%;
  border-collapse:collapse;
  background:rgba(255,255,255,0.35);
}

th{
  background:#111827;
  color:white;
}

th,td{
  padding:12px;
  text-align:center;
  border:1px solid rgba(255,255,255,0.3);
}

.firma{
  margin-top:50px;
  text-align:center;
}

.footer{
  margin-top:30px;
  text-align:center;
  font-weight:600;
}

@media(max-width:900px){
  .layout{
    grid-template-columns:1fr;
  }
}
